package Controleurs;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import Modèle.Utilisateur;
import Vue.IHMAjoutUtil;


public class EcouteurBoutonAjoutUtil implements ActionListener{
	protected IHMAjoutUtil f;
	
	public EcouteurBoutonAjoutUtil(IHMAjoutUtil f){
		this.f=f;
	}

	public void actionPerformed(ActionEvent e){
		String login=f.getLogin().getText();
		String mdp=f.getMdp().getText();
		String nom=f.getNom().getText();
		String prenom=f.getPrenom().getText();
		int indexGroupe=f.getChoixGr().getSelectedIndex();
		Utilisateur u;
		if (indexGroupe==0)
			u=new Utilisateur(login,mdp,nom,prenom,true);
		else
			u=new Utilisateur(login,mdp,nom,prenom,false);
		f.getGroupes().get(indexGroupe).ajoutUtilisateur(u);
	}
}
